package dns

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import v2ray_core_common_net "v2ray.com/core/common/net"
import v2ray_core_common_net2 "v2ray.com/core/common/net"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Config struct {
	// Nameservers used by this DNS. Only traditional UDP servers are support at the moment.
	// A special value 'localhost' as a domain address can be set to use DNS on local system.
	NameServers []*v2ray_core_common_net2.Endpoint `protobuf:"bytes,1,rep,name=NameServers" json:"NameServers,omitempty"`
	// Static hosts. Domain to IP.
	Hosts map[string]*v2ray_core_common_net.IPOrDomain `protobuf:"bytes,2,rep,name=Hosts" json:"Hosts,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *Config) Reset()                    { *m = Config{} }
func (m *Config) String() string            { return proto.CompactTextString(m) }
func (*Config) ProtoMessage()               {}
func (*Config) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Config) GetNameServers() []*v2ray_core_common_net2.Endpoint {
	if m != nil {
		return m.NameServers
	}
	return nil
}

func (m *Config) GetHosts() map[string]*v2ray_core_common_net.IPOrDomain {
	if m != nil {
		return m.Hosts
	}
	return nil
}

func init() {
	proto.RegisterType((*Config)(nil), "v2ray.core.app.dns.Config")
}

func init() { proto.RegisterFile("v2ray.com/core/app/dns/config.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 286 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x90, 0x41, 0x4b, 0x33, 0x31,
	0x10, 0x86, 0xc9, 0x96, 0x16, 0xbe, 0xf4, 0xf2, 0x91, 0x83, 0x2c, 0xbd, 0x58, 0x15, 0xb1, 0x20,
	0x4c, 0x60, 0x15, 0x14, 0x3d, 0xd5, 0xb6, 0xa0, 0x17, 0x2d, 0x2b, 0x78, 0xd0, 0x53, 0xdc, 0x44,
	0x59, 0x34, 0x33, 0x21, 0x89, 0x0b, 0xfb, 0x97, 0xfc, 0x5f, 0xfe, 0x0f, 0xe9, 0x06, 0xb1, 0xa8,
	0xbd, 0x85, 0xe4, 0x79, 0xf2, 0xbe, 0x33, 0x7c, 0xaf, 0x29, 0xbc, 0x6a, 0xa1, 0x22, 0x2b, 0x2b,
	0xf2, 0x46, 0x2a, 0xe7, 0xa4, 0xc6, 0x20, 0x2b, 0xc2, 0xa7, 0xfa, 0x19, 0x9c, 0xa7, 0x48, 0x42,
	0x7c, 0x41, 0xde, 0x80, 0x72, 0x0e, 0x34, 0x86, 0xd1, 0xc1, 0x0f, 0xb1, 0x22, 0x6b, 0x09, 0x25,
	0x9a, 0x28, 0x95, 0xd6, 0xde, 0x84, 0x90, 0xe4, 0xd1, 0xe1, 0x66, 0x50, 0x9b, 0x10, 0x6b, 0x54,
	0xb1, 0x26, 0x4c, 0xf0, 0xee, 0x07, 0xe3, 0x83, 0x59, 0x17, 0x2d, 0xa6, 0x7c, 0x78, 0xad, 0xac,
	0xb9, 0x35, 0xbe, 0x31, 0x3e, 0xe4, 0x6c, 0xdc, 0x9b, 0x0c, 0x8b, 0x6d, 0x58, 0xab, 0x92, 0x7e,
	0x02, 0x34, 0x11, 0x16, 0xa8, 0x1d, 0xd5, 0x18, 0xcb, 0x75, 0x47, 0x9c, 0xf3, 0xfe, 0x25, 0x85,
	0x18, 0xf2, 0xac, 0x93, 0xf7, 0xe1, 0xf7, 0x1c, 0x90, 0xd2, 0xa0, 0xe3, 0x16, 0x18, 0x7d, 0x5b,
	0x26, 0x67, 0xf4, 0xc0, 0xf9, 0xf7, 0xa5, 0xf8, 0xcf, 0x7b, 0x2f, 0xa6, 0xcd, 0xd9, 0x98, 0x4d,
	0xfe, 0x95, 0xab, 0xa3, 0x38, 0xe1, 0xfd, 0x46, 0xbd, 0xbe, 0x99, 0x3c, 0x1b, 0xb3, 0xc9, 0xb0,
	0xd8, 0xd9, 0xd0, 0xec, 0x6a, 0x79, 0xe3, 0xe7, 0x64, 0x55, 0x8d, 0x65, 0xe2, 0xcf, 0xb2, 0x53,
	0x76, 0x71, 0xcc, 0xb7, 0x2a, 0xb2, 0x7f, 0xf4, 0x59, 0xb2, 0xfb, 0x9e, 0xc6, 0xf0, 0x9e, 0x89,
	0xbb, 0xa2, 0x54, 0x2d, 0xcc, 0x56, 0x6f, 0x53, 0xe7, 0x60, 0x8e, 0xe1, 0x71, 0xd0, 0x2d, 0xe9,
	0xe8, 0x33, 0x00, 0x00, 0xff, 0xff, 0x2d, 0xe1, 0x96, 0x19, 0xb5, 0x01, 0x00, 0x00,
}
