package protocol

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import v2ray_core_common_serial "v2ray.com/core/common/serial"
import v2ray_core_transport_internet "v2ray.com/core/transport/internet"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type AlternativeOutboundConfig struct {
	Settings       *v2ray_core_common_serial.TypedMessage      `protobuf:"bytes,1,opt,name=settings" json:"settings,omitempty"`
	StreamSettings *v2ray_core_transport_internet.StreamConfig `protobuf:"bytes,3,opt,name=stream_settings,json=streamSettings" json:"stream_settings,omitempty"`
}

func (m *AlternativeOutboundConfig) Reset()                    { *m = AlternativeOutboundConfig{} }
func (m *AlternativeOutboundConfig) String() string            { return proto.CompactTextString(m) }
func (*AlternativeOutboundConfig) ProtoMessage()               {}
func (*AlternativeOutboundConfig) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *AlternativeOutboundConfig) GetSettings() *v2ray_core_common_serial.TypedMessage {
	if m != nil {
		return m.Settings
	}
	return nil
}

func (m *AlternativeOutboundConfig) GetStreamSettings() *v2ray_core_transport_internet.StreamConfig {
	if m != nil {
		return m.StreamSettings
	}
	return nil
}

func init() {
	proto.RegisterType((*AlternativeOutboundConfig)(nil), "v2ray.core.common.protocol.AlternativeOutboundConfig")
}

func init() { proto.RegisterFile("v2ray.com/core/common/protocol/command.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 262 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x90, 0xcf, 0x4a, 0xc3, 0x40,
	0x10, 0x87, 0x89, 0x82, 0x94, 0x08, 0x0a, 0x39, 0x69, 0x0e, 0x22, 0x1e, 0x44, 0x50, 0x66, 0x25,
	0x3e, 0x81, 0xcd, 0xc9, 0x83, 0x58, 0xd2, 0xe2, 0xc1, 0x4b, 0xd9, 0x6e, 0xc6, 0xb0, 0x90, 0xdd,
	0x09, 0xbb, 0xd3, 0x42, 0x5e, 0xc9, 0xbb, 0xef, 0x27, 0xd9, 0x6d, 0x82, 0xf8, 0xe7, 0x96, 0x64,
	0xbe, 0xdf, 0xc7, 0x47, 0xd2, 0xbb, 0x5d, 0xe1, 0x64, 0x0f, 0x8a, 0x8c, 0x50, 0xe4, 0x50, 0x28,
	0x32, 0x86, 0xac, 0xe8, 0x1c, 0x31, 0x29, 0x6a, 0xc3, 0xbb, 0xb4, 0x35, 0x84, 0x0f, 0x59, 0x3e,
	0xd2, 0x0e, 0x21, 0x92, 0x30, 0x92, 0xf9, 0xfd, 0xdf, 0x26, 0x8f, 0x4e, 0xcb, 0x56, 0x70, 0xdf,
	0x61, 0xbd, 0x36, 0xe8, 0xbd, 0x6c, 0x30, 0x8e, 0x72, 0xf8, 0xb1, 0x60, 0x27, 0xad, 0xef, 0xc8,
	0xb1, 0xd0, 0x96, 0xd1, 0x59, 0x64, 0xa1, 0xc8, 0xbe, 0xeb, 0x26, 0xf2, 0x57, 0x9f, 0x49, 0x7a,
	0xfe, 0xd8, 0x0e, 0x17, 0xc9, 0x7a, 0x87, 0x2f, 0x5b, 0xde, 0xd0, 0xd6, 0xd6, 0x65, 0x60, 0xb2,
	0x79, 0x3a, 0xf3, 0xc8, 0xac, 0x6d, 0xe3, 0xcf, 0x92, 0xcb, 0xe4, 0xe6, 0xb8, 0xb8, 0x86, 0xdf,
	0xb9, 0x31, 0x07, 0x56, 0x43, 0xce, 0x73, 0xac, 0xa9, 0xa6, 0x5d, 0xb6, 0x4a, 0x4f, 0x3d, 0x3b,
	0x94, 0x66, 0x3d, 0xa9, 0x0e, 0x83, 0xea, 0xf6, 0xbb, 0x6a, 0xea, 0x84, 0xb1, 0x13, 0x96, 0x61,
	0x15, 0x4b, 0xaa, 0x93, 0xe8, 0x58, 0xee, 0x15, 0xf3, 0xa7, 0xf4, 0x42, 0x91, 0x81, 0xff, 0xff,
	0xdd, 0x22, 0x79, 0x9b, 0x8d, 0xcf, 0x1f, 0x07, 0xf9, 0x6b, 0x51, 0xc9, 0x1e, 0xca, 0x01, 0x2c,
	0x23, 0xb8, 0xd8, 0x1f, 0x37, 0x47, 0x01, 0x7b, 0xf8, 0x0a, 0x00, 0x00, 0xff, 0xff, 0x86, 0xeb,
	0x0e, 0x01, 0xb7, 0x01, 0x00, 0x00,
}
